#
# spec file for package pg_top
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           pg_top
Version:        3.7.0
Release:        2.46
Summary:        'top' for PostgreSQL process
License:        BSD-3-Clause
Group:          Productivity/Databases/Tools
Url:            http://ptop.projects.pgfoundry.org/
#                                                     \||/ this number also changes
Source0:        http://pgfoundry.org/frs/download.php/3504/%{name}-%{version}.tar.bz2
Patch0:         abuild.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  ncurses-devel
BuildRequires:  postgresql-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
pg_top is 'top' for PostgreSQL processes. See running queries,
query plans, issued locks, and table and index statistics.

%prep
%setup -q
%patch0 -p1

%build
autoreconf -fi
%configure
make CFLAGS="%{optflags}" %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root,-)
%{_mandir}/man1/%{name}*
%{_bindir}/%{name}
%doc FAQ HISTORY LICENSE README TODO Y2K

%changelog
* Mon Feb 23 2015 mrueckert@suse.de
- autoreconf --force alone was not enough (anymore), autoreconf -fi
  to the rescue.
* Sat Aug 31 2013 adam@mizerski.pl
- update to 3.7.0
  - details in HISTORY
- dropped pg_top-libpq.patch
- added abuild.patch
- general packaging improvements
* Thu Oct  4 2012 max@suse.com
- Explicitly require autoconf.
* Mon Feb 16 2009 poeml@suse.de
- imported Fedora package (version 3.6.2)
